Subject: bug#16261: 24.3.50; puresize overflowed

From: Eli Zaretskii <[email-masked]>
Date: Fri, 27 Dec 2013 10:05:10 +0200

> Date: Fri, 27 Dec 2013 09:24:07 +0900
> From: Katsumi Yamaoka <[email-masked]>
> 
> I got this in today's Emacs build on Cygwin:
> 
> Dumping under the name emacs
> emacs:0:Pure Lisp storage overflow (approx. 1702125 bytes needed)
> Maximum static heap usage: 5469504 of 13631488 bytes
> 2131 pure bytes used
> Adding name emacs-24.3.50.1

Is this a 32-bit build or a 64-bit build?

> And soleved it by:
> --- puresize.h~	2013-06-03 22:06:30.000000000 +0000
> +++ puresize.h	2013-12-27 00:00:47.413148800 +0000
> @@ -43 +43 @@
> -#define BASE_PURESIZE (1700000 + SYSTEM_PURESIZE_EXTRA + SITELOAD_PURESIZE_EXTRA)
> +#define BASE_PURESIZE (1710000 + SYSTEM_PURESIZE_EXTRA + SITELOAD_PURESIZE_EXTRA)
> 
> But I don't know if it is reasonable for other platforms.

I don't see this problem, neither with a 32-bit MS-Windows build nor a
64-bit GNU/Linux build.  So I think Cygwin should define a slightly
larger SYSTEM_PURESIZE_EXTRA (or start defining it, if it doesn't
now).